<!-- 主页 -->
<template>
  <div class="main_box" id="main_box_1">
    <keep-alive :include="includePath">
      <router-view />
    </keep-alive>
    <!-- <van-tabbar v-model="active" class="myTabbar"  >
      <van-tabbar-item icon="wap-home" @click="$router.push('/index/home')">
       <span>{{$t('index')}}</span>
       <img class="img-icon" slot="icon" slot-scope="props" :src="props.active ? icon.index.active : icon.index.normal">
      </van-tabbar-item>
      <van-tabbar-item icon="shop" @click="$router.push('/index/mall')">
       <span>商场</span>
      <img class="img-icon" slot="icon" slot-scope="props" :src="props.active ? icon.mall.active : icon.mall.normal">
      </van-tabbar-item>

      <van-tabbar-item icon="cart" @click="$router.push('/index/car')">
      <span>购物车</span>
      <img class="img-icon" slot="icon" slot-scope="props" :src="props.active ? icon.cart.active : icon.cart.normal">
      </van-tabbar-item>
      <van-tabbar-item icon="manager" @click="$router.push('/index/my')">
        <span>我的</span>
        <img class="img-icon" slot="icon" slot-scope="props" :src="props.active ? icon.my.active : icon.my.normal">
      </van-tabbar-item>

    </van-tabbar> -->
  </div>
</template>

<script>

export default {
  name: 'app_index',
  data() {
    return {
      active: 0,
      includePath: ['mall', 'home','car','my','about'],
       icon: {
        index: { normal: require('../assets/img/img/home.png'), active: require('../assets/img/img/home_fill.png') },
        mall: { normal: require('../assets/img/img/mall.png'), active: require('../assets/img/img/mall_fill.png') },
        cart: { normal: require('../assets/img/img/cart.png'), active: require('../assets/img/img/cart_fill.png') },

        my: { normal: require('../assets/img/img/my.png'), active: require('../assets/img/img/my_fill.png') }
      }
    }
  },
  mounted() {
    this.active = this.$route.meta.action
    console.log(this.includePath)
    console.log(this.active)

  },
  methods: {
    handelClick(key) {
      // if(key=='my'){
      //   if(this.veriLogin()){
      //      this.$router.push('/index/my')

      //   }

      // }
    }
  },
  watch: {
    '$route.meta.action'(v) {
      this.active = this.$route.meta.action
    }
  }
}

</script>
<style lang='scss' scoped>
.main_box {
  height: 100%;
  overflow: auto;
  // padding-bottom: 1.5rem;
  box-sizing: border-box;
   -webkit-overflow-scrolling: touch;
}

.img-icon{
   width: 0.45rem;
  height: 0.45rem;

} 
</style>